// Definisanje konverzija tipova.

#include <iostream.h>
#include <math.h>

class Kompl {
  double re, im;
public:
  Kompl (double r=0, double i=0) { re=r; im=i; } // Inic. ili konverzija.
  operator double(){ return sqrt(re*re+im*im); } // Konverzija u double.
  friend double real (Kompl z) { return z.re; }  // Realni deo.
  friend double imag (Kompl z) { return z.im; }  // Imaginarni deo.
  Kompl operator+ (Kompl z)                      // Sabiranje.
    { z.re += re; z.im += im; return z; }
} ;

void pisi (char *c, Kompl z)
  { cout << c << " = (" << real (z) << ',' << imag (z) << ")\n"; }

int main () {
  Kompl a (1, 2);      pisi ("a      ", a);
  Kompl b = a;         pisi ("b      ", b);
  Kompl c = 5;         pisi ("c      ", c);
                       pisi ("a+b    ", a + b);
                       pisi ("a+3    ", a + (Kompl) 3);
                       pisi ("|a|+3  ", (double) a + 3);
                       pisi ("a+(3,4)", a + Kompl (3,4));
                       cout << "dble(a) = " <<  (double) a << endl;
  double d=Kompl(3,4); cout << "d       = " << d << endl;
  return 0;
}
