// Definicija klase kvadrata (Kvadrat).

#ifndef _kvadrat_h_
#define _kvadrat_h_

#include "figura.h"

class Kvadrat : public Figura {
  Real a;                                  // Osnovica.
public:
  Kvadrat (Real aa=1, const Tacka &tt=ORG) // Konstruktor.
    : Figura(tt) { a = aa; }
  Figura *kopija () const                  // Stvaranje kopije.
    { return new Kvadrat (*this); }
  Real O () const { return 4 * a; }        // Obim.
  Real P () const { return a * a; }        // Povrsina.
  Real d () const { return a * 1.414213562373; } // Dijagonala.
  Real r () const { return a / 2; }        // Poluprecnik upisanog kruga.
  Real R () const { return d () / 2; }     // Poluprecnik opisanog kruga.
private:
  void citaj (istream &dd) ;               // Citanje.
  void pisi  (ostream &dd) const ;         // Pisanje.
} ;

#endif
