// Definicija klase redova za stekove figura (Stek).

#ifndef _stek3_h_
#define _stek3_h_

#include "zbirka2.h"

class Stek : public Zbirka2 {
public:
  Stek () : Zbirka2 () {}                     // Stavaranje praznog steka.
  Stek (const Figura &ff) : Zbirka2 (ff) {}   // Konverzija figure u stek.
  Zbirka & operator+= (const Figura &ff) {    // Dodavanje figure.
    Elem *novi = new Elem (ff.kopija(), prvi); if (!novi) exit (1);
    prvi = novi; if (!posl) posl = novi;
    duz++;
    return *this;
  }
  const char *vrsta () const { return "Stek"; } // Vrsta zbirke.
  Zbirka *kopija () const                       // Kopija zbirke.
    { return new Stek (*this);  }
} ;

#endif;
