// Definicija klase redova za cekanje figura (Red).

#ifndef _red_h_
#define _red_h_

#include "zbirka2.h"

class Red : public Zbirka2 {
public:
  Red () : Zbirka2 () {}                      // Stavaranje praznog reda.
  Red (const Figura &ff) : Zbirka2 (ff) {}    // Konverzija figure u red.
  Zbirka & operator+= (const Figura &ff) {    // Dodavanje figure.
    Elem *novi = new Elem (ff.kopija()); if (!novi) exit (1);
    if (!prvi) prvi = novi; else posl->sled = novi;
    posl = novi;
    duz++;
    return *this;
  }    
  const char *vrsta () const { return "Red"; } // Vrsta zbirke.
  Zbirka *kopija () const                      // Kopija zbirke.
    { return new Red (*this); }
} ;

#endif;
